Update an environment variable
curl --request PATCH \
--url https://api.alpic.ai/v1/environment-variables/{environmentVariableId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>",
"value": "<string>",
"isSecret": false
}
'import requests
url = "https://api.alpic.ai/v1/environment-variables/{environmentVariableId}"
payload = {
"key": "<string>",
"value": "<string>",
"isSecret": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({key: '<string>', value: '<string>', isSecret: false})
};
fetch('https://api.alpic.ai/v1/environment-variables/{environmentVariableId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Bad Request",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Not Found",
"data": "<unknown>"
}environments
Update an environment variable
Update an environment variable by ID
PATCH
/
v1
/
environment-variables
/
{environmentVariableId}
Update an environment variable
Authorizations
Bearer token for authentication. Use an API key from the API Keys page in team settings, or an OAuth access token.
Path Parameters
The ID of the environment variable
Body
application/json
Response
The environment variable has been updated successfully
Was this page helpful?
⌘I